<?php
function babytoysstore_blog_setting( $wp_customize ) {
$selective_refresh = isset( $wp_customize->selective_refresh ) ? 'postMessage' : 'refresh';
	$wp_customize->add_panel(
		'babytoysstore_frontpage_sections', array(
			'priority' => 32,
			'title' => esc_html__( 'Frontpage Sections', 'baby-toys-store' ),
		) 
	); 

	/*=========================================
	Banner Section
	=========================================*/
	$wp_customize->add_section(
		'banner_setting', array(
			'title' => esc_html__( 'Banner Section', 'baby-toys-store' ),
			'description'=> __('<a>Note :</a> Image Size Should Be 800*600','baby-toys-store'),
			'priority' => 1,
			'panel' => 'babytoysstore_frontpage_sections',
		)
	);

	$wp_customize->add_setting('babytoysstore_banner_tabs', array(
	   'sanitize_callback' => 'wp_kses_post',
	));

	$wp_customize->add_control(new babytoysstore_Tab_Control($wp_customize, 'babytoysstore_banner_tabs', array(
	   'section' => 'banner_setting',
	   'priority' => 2,
	   'buttons' => array(
	      array(
         	'name' => esc_html__('General', 'baby-toys-store'),
            'icon' => 'dashicons dashicons-welcome-write-blog',
            'fields' => array(
				'banner_image',
            	'banner_heading',
				'banner_offettext',
				'banner_offerno',
				'banner_btnlink'

            ),
            'active' => true,
         ), 
	      array(
            'name' => esc_html__('Style', 'baby-toys-store'),
        	'icon' => 'dashicons dashicons-art',
            'fields' => array(
                'banner_contentbgcolor',
				'banner_headingcolor',
				'banner_headingbg1color',
				'banner_headingbg2color',
				'banner_offertextcolor',
				'banner_offernumcolor',
				'banner_offerpercentcolor',
				'banner_btntextcolor',
				'banner_btnbg1color',
				'banner_btnbg2color',
				'banner_btntexthrvcolor'
            ),
     	),
		 array(
		   'name' => esc_html__('Layout', 'baby-toys-store'),
		   'icon' => 'dashicons dashicons-layout',
		   'fields' => array(
			   'baby_toys_store_banner_section_width',
			   	'baby_toys_store_banner_padding',
			   'baby_toys_store_banner_top_padding',
			   'baby_toys_store_banner_bottom_padding'
		   ),
		)
    	),
	))); 

	// General Tab
	// banner_image
	$wp_customize->add_setting(
    	'banner_image',
	    array(
	        'sanitize_callback' => 'esc_url_raw'
	    )
	);
	$wp_customize->add_control(
	    new WP_Customize_Image_Control(
	        $wp_customize,
	        'banner_image',
	        array(
			    'label'   		=> __('Image','baby-toys-store'),
	            'section' => 'banner_setting',
	            'settings' => 'banner_image'
	        )
	    )
	);

	// banner heading
	$bannerheading = esc_html__('', 'baby-toys-store' );
	$wp_customize->add_setting(
    	'banner_heading',
    	array(
			'default' => $bannerheading,
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 6,
		)
	);	

	$wp_customize->add_control( 
		'banner_heading',
		array(
		    'label'   		=> __('Heading','baby-toys-store'),
		    'section'		=> 'banner_setting',
			'type' 			=> 'text',
			'transport'         => $selective_refresh,
		)  
	);	

	// banner offettext
	$banneroffettext = esc_html__('', 'baby-toys-store' );
	$wp_customize->add_setting(
    	'banner_offettext',
    	array(
			'default' => $banneroffettext,
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 6,
		)
	);	

	$wp_customize->add_control( 
		'banner_offettext',
		array(
		    'label'   		=> __('Offet Text','baby-toys-store'),
		    'section'		=> 'banner_setting',
			'type' 			=> 'text',
			'transport'         => $selective_refresh,
		)  
	);	

	// banner offerno
	$bannerofferno = esc_html__('', 'baby-toys-store' );
	$wp_customize->add_setting(
    	'banner_offerno',
    	array(
			'default' => $bannerofferno,
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 6,
		)
	);	

	$wp_customize->add_control( 
		'banner_offerno',
		array(
		    'label'   		=> __('Offer Number','baby-toys-store'),
		    'section'		=> 'banner_setting',
			'type' 			=> 'text',
			'transport'         => $selective_refresh,
		)  
	);	

	// banner btnlink
	$bannerbtnlink = esc_html__('', 'baby-toys-store' );
	$wp_customize->add_setting(
    	'banner_btnlink',
    	array(
			'default' => $bannerbtnlink,
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 6,
		)
	);	

	$wp_customize->add_control( 
		'banner_btnlink',
		array(
		    'label'   		=> __('Button Link','baby-toys-store'),
		    'section'		=> 'banner_setting',
			'type' 			=> 'text',
			'transport'         => $selective_refresh,
		)  
	);	
	
	//style

	// banner contentbg Color 
	$bannercontentbgcolor = esc_html__('#28AAE0', 'baby-toys-store' );
	$wp_customize->add_setting(
    	'banner_contentbgcolor',
    	array(
			'default' => $bannercontentbgcolor,
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 3,
		)
	);	

	$wp_customize->add_control( 
		'banner_contentbgcolor',
		array(
		    'label'   		=> __('Content BG Color','baby-toys-store'),
		    'section'		=> 'banner_setting',
			'type' 			=> 'color',
			'transport'         => $selective_refresh,
		)  
	);	

	// banner heading Color 
	$bannerheadingcolor = esc_html__('#000', 'baby-toys-store' );
	$wp_customize->add_setting(
    	'banner_headingcolor',
    	array(
			'default' => $bannerheadingcolor,
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 3,
		)
	);	

	$wp_customize->add_control( 
		'banner_headingcolor',
		array(
		    'label'   		=> __('Heading Color','baby-toys-store'),
		    'section'		=> 'banner_setting',
			'type' 			=> 'color',
			'transport'         => $selective_refresh,
		)  
	);	

	// banner headingbg1 Color 
	$bannerheadingbg1color = esc_html__('#FFED02', 'baby-toys-store' );
	$wp_customize->add_setting(
    	'banner_headingbg1color',
    	array(
			'default' => $bannerheadingbg1color,
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 3,
		)
	);	

	$wp_customize->add_control( 
		'banner_headingbg1color',
		array(
		    'label'   		=> __('Heading BG Color','baby-toys-store'),
		    'section'		=> 'banner_setting',
			'type' 			=> 'color',
			'transport'         => $selective_refresh,
		)  
	);

	// banner headingbg2 Color 
	$bannerheadingbg2color = esc_html__('#fff', 'baby-toys-store' );
	$wp_customize->add_setting(
    	'banner_headingbg2color',
    	array(
			'default' => $bannerheadingbg2color,
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 3,
		)
	);	

	$wp_customize->add_control( 
		'banner_headingbg2color',
		array(
		    'label'   		=> __('Heading BG Color','baby-toys-store'),
		    'section'		=> 'banner_setting',
			'type' 			=> 'color',
			'transport'         => $selective_refresh,
		)  
	);

	// banner offertext Color 
	$banneroffertextcolor = esc_html__('#fff', 'baby-toys-store' );
	$wp_customize->add_setting(
    	'banner_offertextcolor',
    	array(
			'default' => $banneroffertextcolor,
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 3,
		)
	);	

	$wp_customize->add_control( 
		'banner_offertextcolor',
		array(
		    'label'   		=> __('Offer Text Color','baby-toys-store'),
		    'section'		=> 'banner_setting',
			'type' 			=> 'color',
			'transport'         => $selective_refresh,
		)  
	);

	// banner offernum Color 
	$banneroffernumcolor = esc_html__('#fff', 'baby-toys-store' );
	$wp_customize->add_setting(
    	'banner_offernumcolor',
    	array(
			'default' => $banneroffernumcolor,
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 3,
		)
	);	

	$wp_customize->add_control( 
		'banner_offernumcolor',
		array(
		    'label'   		=> __('Offer Number Color','baby-toys-store'),
		    'section'		=> 'banner_setting',
			'type' 			=> 'color',
			'transport'         => $selective_refresh,
		)  
	);

	// banner offerpercent Color 
	$bannerofferpercentcolor = esc_html__('#FFED02', 'baby-toys-store' );
	$wp_customize->add_setting(
    	'banner_offerpercentcolor',
    	array(
			'default' => $bannerofferpercentcolor,
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 3,
		)
	);	

	$wp_customize->add_control( 
		'banner_offerpercentcolor',
		array(
		    'label'   		=> __('Offer Percent Color','baby-toys-store'),
		    'section'		=> 'banner_setting',
			'type' 			=> 'color',
			'transport'         => $selective_refresh,
		)  
	);

	// banner btntext Color 
	$bannerbtntextcolor = esc_html__('#fff', 'baby-toys-store' );
	$wp_customize->add_setting(
    	'banner_btntextcolor',
    	array(
			'default' => $bannerbtntextcolor,
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 3,
		)
	);	

	$wp_customize->add_control( 
		'banner_btntextcolor',
		array(
		    'label'   		=> __('Button Text Color','baby-toys-store'),
		    'section'		=> 'banner_setting',
			'type' 			=> 'color',
			'transport'         => $selective_refresh,
		)  
	);

	// banner btnbg1 Color 
	$bannerbtnbg1color = esc_html__('#fff', 'baby-toys-store' );
	$wp_customize->add_setting(
    	'banner_btnbg1color',
    	array(
			'default' => $bannerbtnbg1color,
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 3,
		)
	);	

	$wp_customize->add_control( 
		'banner_btnbg1color',
		array(
		    'label'   		=> __('Button BG Color','baby-toys-store'),
		    'section'		=> 'banner_setting',
			'type' 			=> 'color',
			'transport'         => $selective_refresh,
		)  
	);

	// banner btnbg2 Color 
	$bannerbtnbg2color = esc_html__('#ffc7c5', 'baby-toys-store' );
	$wp_customize->add_setting(
    	'banner_btnbg2color',
    	array(
			'default' => $bannerbtnbg2color,
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 3,
		)
	);	

	$wp_customize->add_control( 
		'banner_btnbg2color',
		array(
		    'label'   		=> __('Button BG Color','baby-toys-store'),
		    'section'		=> 'banner_setting',
			'type' 			=> 'color',
			'transport'         => $selective_refresh,
		)  
	);

	// banner btntexthrv Color 
	$bannerbtntexthrvcolor = esc_html__('#28AAE0', 'baby-toys-store' );
	$wp_customize->add_setting(
    	'banner_btntexthrvcolor',
    	array(
			'default' => $bannerbtntexthrvcolor,
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 3,
		)
	);	

	$wp_customize->add_control( 
		'banner_btntexthrvcolor',
		array(
		    'label'   		=> __('Button Text Hover Color','baby-toys-store'),
		    'section'		=> 'banner_setting',
			'type' 			=> 'color',
			'transport'         => $selective_refresh,
		)  
	);

		// layout setting
	$wp_customize->add_setting('baby_toys_store_banner_section_width',array(
		'default' => 'Full Width',
		'sanitize_callback' => 'babytoysstore_sanitize_choices',
	));
	$wp_customize->add_control('baby_toys_store_banner_section_width',array(
		'type' => 'select',
		'label' => __('Section Width','baby-toys-store'),
		'choices' => array (
			'Box Width' => __('Box Width','baby-toys-store'),
			'Full Width' => __('Full Width','baby-toys-store')
		),
		'section' => 'banner_setting',
	));

// aboutus section padding 
	$wp_customize->add_setting('baby_toys_store_banner_padding',array(
		'sanitize_callback'   => 'esc_html'
	));
	$wp_customize->add_control('baby_toys_store_banner_padding',array(
		'label' => __('Section Padding','baby-toys-store'),
		'section' => 'banner_setting'
	));

	$wp_customize->add_setting('baby_toys_store_banner_top_padding',array(
		'default' => '0',
		'sanitize_callback' => 'sanitize_text_field'
	));
	$wp_customize->add_control('baby_toys_store_banner_top_padding',array(
		'type' => 'number',
		'label' => __('Top','baby-toys-store'),
		'section' => 'banner_setting',
	));

		$wp_customize->add_setting('baby_toys_store_banner_bottom_padding',array(
		'default' => '0',
		'sanitize_callback' => 'sanitize_text_field'
	));
	$wp_customize->add_control('baby_toys_store_banner_bottom_padding',array(
		'type' => 'number',
		'label' => __('Bottom','baby-toys-store'),
		'section' => 'banner_setting',
	));
	
	
	/*=========================================
	collection Section
	=========================================*/
	$wp_customize->add_section(
		'collection_setting', array(
			'title' => esc_html__( 'Collection Section', 'baby-toys-store' ),
			'description'=> __('<a>Note :</a> Image Size Should Be 800*600','baby-toys-store'),
			'priority' => 1,
			'panel' => 'babytoysstore_frontpage_sections',
		)
	);

	$wp_customize->add_setting('babytoysstore_collection_tabs', array(
	   'sanitize_callback' => 'wp_kses_post',
	));

	$wp_customize->add_control(new babytoysstore_Tab_Control($wp_customize, 'babytoysstore_collection_tabs', array(
	   'section' => 'collection_setting',
	   'priority' => 2,
	   'buttons' => array(
	      array(
         	'name' => esc_html__('General', 'baby-toys-store'),
            'icon' => 'dashicons dashicons-welcome-write-blog',
            'fields' => array(
            	'collection_heading'
            ),
            'active' => true,
         ), 
	      array(
            'name' => esc_html__('Style', 'baby-toys-store'),
        	'icon' => 'dashicons dashicons-art',
            'fields' => array(
                'collection_headingcolor',
				'collection_titlecolor',
				'collection_titlebgcolor'
            ),
     	),
		 array(
		   'name' => esc_html__('Layout', 'baby-toys-store'),
		   'icon' => 'dashicons dashicons-layout',
		   'fields' => array(
			   'baby_toys_store_collection_section_width',
			   'baby_toys_store_collection_padding',
			   'baby_toys_store_collection_top_padding',
			   'baby_toys_store_collection_bottom_padding'

		   	),
		)

    	),
	))); 

	// General Tab

	// collection heading
	$collectionheading = esc_html__('', 'baby-toys-store' );
	$wp_customize->add_setting(
    	'collection_heading',
    	array(
			'default' => $collectionheading,
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 6,
		)
	);	

	$wp_customize->add_control( 
		'collection_heading',
		array(
		    'label'   		=> __('Collection Heading','baby-toys-store'),
		    'section'		=> 'collection_setting',
			'type' 			=> 'text',
			'transport'         => $selective_refresh,
		)  
	);	

	//style
	// collection heading Color 
	$collectionheadingcolor = esc_html__('#000', 'baby-toys-store' );
	$wp_customize->add_setting(
    	'collection_headingcolor',
    	array(
			'default' => $collectionheadingcolor,
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 3,
		)
	);	

	$wp_customize->add_control( 
		'collection_headingcolor',
		array(
		    'label'   		=> __('Heading Color','baby-toys-store'),
		    'section'		=> 'collection_setting',
			'type' 			=> 'color',
			'transport'         => $selective_refresh,
		)  
	);

	// collection title Color 
	$collectiontitlecolor = esc_html__('#fff', 'baby-toys-store' );
	$wp_customize->add_setting(
    	'collection_titlecolor',
    	array(
			'default' => $collectiontitlecolor,
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 3,
		)
	);	

	$wp_customize->add_control( 
		'collection_titlecolor',
		array(
		    'label'   		=> __('Title Color','baby-toys-store'),
		    'section'		=> 'collection_setting',
			'type' 			=> 'color',
			'transport'         => $selective_refresh,
		)  
	);

	// collection titlebg Color 
	$collectiontitlebgcolor = esc_html__('#000', 'baby-toys-store' );
	$wp_customize->add_setting(
    	'collection_titlebgcolor',
    	array(
			'default' => $collectiontitlebgcolor,
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 3,
		)
	);	

	$wp_customize->add_control( 
		'collection_titlebgcolor',
		array(
		    'label'   		=> __('Title BG Color','baby-toys-store'),
		    'section'		=> 'collection_setting',
			'type' 			=> 'color',
			'transport'         => $selective_refresh,
		)  
	);

	// layout setting
	$wp_customize->add_setting('baby_toys_store_collection_section_width',array(
		'default' => 'Box Width',
		'sanitize_callback' => 'babytoysstore_sanitize_choices',
	));
	$wp_customize->add_control('baby_toys_store_collection_section_width',array(
		'type' => 'select',
		'label' => __('Section Width','baby-toys-store'),
		'choices' => array (
			'Box Width' => __('Box Width','baby-toys-store'),
			'Full Width' => __('Full Width','baby-toys-store')
		),
		'section' => 'collection_setting',
	));



	// Collection section padding 
	$wp_customize->add_setting('baby_toys_store_collection_padding',array(
		'sanitize_callback'   => 'esc_html'
	));
	$wp_customize->add_control('baby_toys_store_collection_padding',array(
		'label' => __('Section Padding','baby-toys-store'),
		'section' => 'collection_setting'
	));

	$wp_customize->add_setting('baby_toys_store_collection_top_padding',array(
		'default' => '0',
		'sanitize_callback' => 'sanitize_text_field'
	));
	$wp_customize->add_control('baby_toys_store_collection_top_padding',array(
		'type' => 'number',
		'label' => __('Top','baby-toys-store'),
		'section' => 'collection_setting',
	));

		$wp_customize->add_setting('baby_toys_store_collection_bottom_padding',array(
		'default' => '0',
		'sanitize_callback' => 'sanitize_text_field'
	));
	$wp_customize->add_control('baby_toys_store_collection_bottom_padding',array(
		'type' => 'number',
		'label' => __('Bottom','baby-toys-store'),
		'section' => 'collection_setting',
	));

	/*=========================================
	newarrival Section
	=========================================*/
	$wp_customize->add_section(
		'newarrival_setting', array(
			'title' => esc_html__( 'New Arrival Section', 'baby-toys-store' ),
			'description'=> __('<a>Note :</a> Image Size Should Be 800*600','baby-toys-store'),
			'priority' => 1,
			'panel' => 'babytoysstore_frontpage_sections',
		)
	);

	$wp_customize->add_setting('babytoysstore_newarrival_tabs', array(
	   'sanitize_callback' => 'wp_kses_post',
	));

	$wp_customize->add_control(new babytoysstore_Tab_Control($wp_customize, 'babytoysstore_newarrival_tabs', array(
	   'section' => 'newarrival_setting',
	   'priority' => 2,
	   'buttons' => array(
	      array(
         	'name' => esc_html__('General', 'baby-toys-store'),
            'icon' => 'dashicons dashicons-welcome-write-blog',
            'fields' => array(
            	'newarrival_heading'
            ),
            'active' => true,
         ), 
	      array(
            'name' => esc_html__('Style', 'baby-toys-store'),
        	'icon' => 'dashicons dashicons-art',
            'fields' => array(
                'newarrival_headingcolor',
				'newarrival_boxbrdcolor',
				'newarrival_titlecolor',
				'newarrival_salepricecolor',
				'newarrival_regularpricecolor',
				'newarrival_btntextcolor',
				'newarrival_btnbgcolor'
            ),
     	),
		 array(
		   'name' => esc_html__('Layout', 'baby-toys-store'),
		   'icon' => 'dashicons dashicons-layout',
		   'fields' => array(
			   'baby_toys_store_newarrival_section_width',
		   	),
		)

    	),
	))); 

	// General Tab

	// newarrival heading
	$newarrivalheading = esc_html__('', 'baby-toys-store' );
	$wp_customize->add_setting(
    	'newarrival_heading',
    	array(
			'default' => $newarrivalheading,
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 6,
		)
	);	

	$wp_customize->add_control( 
		'newarrival_heading',
		array(
		    'label'   		=> __('Heading','baby-toys-store'),
		    'section'		=> 'newarrival_setting',
			'type' 			=> 'text',
			'transport'         => $selective_refresh,
		)  
	);	

	//style
	// newarrival heading Color 
	$newarrivalheadingcolor = esc_html__('#000', 'baby-toys-store' );
	$wp_customize->add_setting(
    	'newarrival_headingcolor',
    	array(
			'default' => $newarrivalheadingcolor,
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 3,
		)
	);	

	$wp_customize->add_control( 
		'newarrival_headingcolor',
		array(
		    'label'   		=> __('New Arrival Heading Color','baby-toys-store'),
		    'section'		=> 'newarrival_setting',
			'type' 			=> 'color',
			'transport'         => $selective_refresh,
		)  
	);

	// newarrival boxbrd Color 
	$newarrivalboxbrdcolor = esc_html__('#DDDDDD', 'baby-toys-store' );
	$wp_customize->add_setting(
    	'newarrival_boxbrdcolor',
    	array(
			'default' => $newarrivalboxbrdcolor,
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 3,
		)
	);	

	$wp_customize->add_control( 
		'newarrival_boxbrdcolor',
		array(
		    'label'   		=> __('Box Border Color','baby-toys-store'),
		    'section'		=> 'newarrival_setting',
			'type' 			=> 'color',
			'transport'         => $selective_refresh,
		)  
	);

	// newarrival title Color 
	$newarrivaltitlecolor = esc_html__('#000', 'baby-toys-store' );
	$wp_customize->add_setting(
    	'newarrival_titlecolor',
    	array(
			'default' => $newarrivaltitlecolor,
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 3,
		)
	);	

	$wp_customize->add_control( 
		'newarrival_titlecolor',
		array(
		    'label'   		=> __('Product Title Color','baby-toys-store'),
		    'section'		=> 'newarrival_setting',
			'type' 			=> 'color',
			'transport'         => $selective_refresh,
		)  
	);

	// newarrival saleprice Color 
	$newarrivalsalepricecolor = esc_html__('#000', 'baby-toys-store' );
	$wp_customize->add_setting(
    	'newarrival_salepricecolor',
    	array(
			'default' => $newarrivalsalepricecolor,
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 3,
		)
	);	

	$wp_customize->add_control( 
		'newarrival_salepricecolor',
		array(
		    'label'   		=> __('Product Sale Price Color','baby-toys-store'),
		    'section'		=> 'newarrival_setting',
			'type' 			=> 'color',
			'transport'         => $selective_refresh,
		)  
	);

	// newarrival regularprice Color 
	$newarrivalregularpricecolor = esc_html__('#48C8FD', 'baby-toys-store' );
	$wp_customize->add_setting(
    	'newarrival_regularpricecolor',
    	array(
			'default' => $newarrivalregularpricecolor,
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 3,
		)
	);	

	$wp_customize->add_control( 
		'newarrival_regularpricecolor',
		array(
		    'label'   		=> __('Product Regular Price Color','baby-toys-store'),
		    'section'		=> 'newarrival_setting',
			'type' 			=> 'color',
			'transport'         => $selective_refresh,
		)  
	);

	// newarrival btntext Color 
	$newarrivalbtntextcolor = esc_html__('#fff', 'baby-toys-store' );
	$wp_customize->add_setting(
    	'newarrival_btntextcolor',
    	array(
			'default' => $newarrivalbtntextcolor,
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 3,
		)
	);	

	$wp_customize->add_control( 
		'newarrival_btntextcolor',
		array(
		    'label'   		=> __('Button Text Color','baby-toys-store'),
		    'section'		=> 'newarrival_setting',
			'type' 			=> 'color',
			'transport'         => $selective_refresh,
		)  
	);

	// newarrival btnbg Color 
	$newarrivalbtnbgcolor = esc_html__('#000', 'baby-toys-store' );
	$wp_customize->add_setting(
    	'newarrival_btnbgcolor',
    	array(
			'default' => $newarrivalbtnbgcolor,
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 3,
		)
	);	

	$wp_customize->add_control( 
		'newarrival_btnbgcolor',
		array(
		    'label'   		=> __('Button BG Color','baby-toys-store'),
		    'section'		=> 'newarrival_setting',
			'type' 			=> 'color',
			'transport'         => $selective_refresh,
		)  
	);

	// layout setting
	$wp_customize->add_setting('baby_toys_store_newarrival_section_width',array(
		'default' => 'Box Width',
		'sanitize_callback' => 'babytoysstore_sanitize_choices',
	));
	$wp_customize->add_control('baby_toys_store_newarrival_section_width',array(
		'type' => 'select',
		'label' => __('Section Width','baby-toys-store'),
		'choices' => array (
			'Box Width' => __('Box Width','baby-toys-store'),
			'Full Width' => __('Full Width','baby-toys-store')
		),
		'section' => 'newarrival_setting',
	));
	
	$wp_customize->register_control_type('babytoysstore_Tab_Control');
}

add_action( 'customize_register', 'babytoysstore_blog_setting' );

// service selective refresh
function babytoysstore_blog_section_partials( $wp_customize ){	
	// blog_title
	$wp_customize->selective_refresh->add_partial( 'blog_title', array(
		'selector'            => '.home-blog .title h6',
		'settings'            => 'blog_title',
		'render_callback'  => 'babytoysstore_blog_title_render_callback',
	
	) );
	
	// blog_subtitle
	$wp_customize->selective_refresh->add_partial( 'blog_subtitle', array(
		'selector'            => '.home-blog .title h2',
		'settings'            => 'blog_subtitle',
		'render_callback'  => 'babytoysstore_blog_subtitle_render_callback',
	) );
	
	// blog_description
	$wp_customize->selective_refresh->add_partial( 'blog_description', array(
		'selector'            => '.home-blog .title p',
		'settings'            => 'blog_description',
		'render_callback'  => 'babytoysstore_blog_description_render_callback',
	
	) );	
	}

add_action( 'customize_register', 'babytoysstore_blog_section_partials' );

// blog_title
function babytoysstore_blog_title_render_callback() {
	return get_theme_mod( 'blog_title' );
}

// blog_subtitle
function babytoysstore_blog_subtitle_render_callback() {
	return get_theme_mod( 'blog_subtitle' );
}

// service description
function babytoysstore_blog_description_render_callback() {
	return get_theme_mod( 'blog_description' );
}


